Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.features.delete("api_calls");curl -X DELETE "https://api.priceos.com/v1/features/api_calls" \
-H "x-api-key: PRICEOS_API_KEY"{
"deleted": true,
"featureKey": "api_calls"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Features
Delete Feature
Permanently delete a feature by feature key.
DELETE
/
v1
/
features
/
{featureKey}
Node.js
import { PriceOS } from "priceos";
import type { MyFeatures } from "./priceos.types";
const priceos = new PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);
const result = await priceos.features.delete("api_calls");curl -X DELETE "https://api.priceos.com/v1/features/api_calls" \
-H "x-api-key: PRICEOS_API_KEY"{
"deleted": true,
"featureKey": "api_calls"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}